;;; byLucid.lsp

;;; Copyright 1992 Russell G. Almond
;;; License is granted to copy this program for education or research
;;; purposes, with the restriction that no portion of this program may
;;; be copied without also copying this notice.  All other rights
;;; reserved.

;;; Lucid 3.0 specific support.


;; setup-rng
(def-foreign-function (setup-rng (:language :c)
                                 (:return-type :signed-32bit))
  (number-of-distributions :signed-32bit))

;; cleanup-rng
(def-foreign-function (cleanup-rng (:language :c)
                                   (:return-type :signed-32bit))
  )

;; setup-distribution
(def-foreign-function (setup-distribution (:language :c)
                                          (:return-type :signed-32bit))
  (distribution-type :character)
  (parameter-1  :double-float)
  (parameter-2  :double-float)
  (parameter-3  :double-float))


;; draw-distribution
(def-foreign-function (draw-distribution (:language :c)
                                         (:return-type :double-float))
  (distribution-index-number :signed-32bit))

(load-foreign-files (namestring (merge-pathnames "rng.o" user::bel-home)))
                                        ;Damn Lucid anyway!

;; End of Lucid Definitons

(bel-provide :byLucid)

